# Copyright (c) 2021, InfluxFramework LLC and contributors
# For license information, please see license.txt

import influxframework
from influxframework.model.document import Document


class CRMSettings(Document):
	def validate(self):
		influxframework.db.set_default("campaign_naming_by", self.get("campaign_naming_by", ""))
